Dust(1)

NAME
Dust - Like du but more intuitive

SYNOPSIS
dust [-d|--depth] [-T|--threads] [--config] [-n|--number-of-lines] [-p|--full-paths] [-X|--ignore-directory] [-I|--ignore-all-in-file] [-L|--dereference-links] [-x|--limit-filesystem] [-s|--apparent-size] [-r|--reverse] [-c|--no-colors] [-C|--force-colors] [-b|--no-percent-bars] [-B|--bars-on-right] [-z|--min-size] [-R|--screen-reader] [--skip-total] [-f|--filecount] [-i|--ignore-hidden] [-v|--invert-filter] [-e|--filter] [-t|--file-types] [-w|--terminal-width] [-P|--no-progress] [--print-errors] [-D|--only-dir] [-F|--only-file] [-o|--output-format] [-S|--stack-size] [-j|--output-json] [-M|--mtime] [-A|--atime] [-y|--ctime] [--files0-from] [--files-from] [--collapse] [-m|--filetime] [-h|--help] [-V|--version] [PATH]

DESCRIPTION
Like du but more intuitive

OPTIONS

-d, --depth <DEPTH>
    Depth to show

-T, --threads <THREADS>
    Number of threads to use

--config <FILE>
    Specify a config file to use

-n, --number-of-lines <NUMBER>
    Display the 'n' largest entries. (Default is terminal_height)

-p, --full-paths
    Subdirectories will not have their path shortened

-X, --ignore-directory <PATH>
    Exclude any file or directory with this path

-I, --ignore-all-in-file <FILE>
    Exclude any file or directory with a regex matching that listed in this file, the file entries will be added to the ignore regexs provided by --invert_filter

-L, --dereference-links
    dereference sym links - Treat sym links as directories and go into them

-x, --limit-filesystem
    Only count the files and directories on the same filesystem as the supplied directory

-s, --apparent-size
    Use file length instead of blocks

-r, --reverse
    Print tree upside down (biggest highest)

-c, --no-colors
    No colors will be printed (Useful for commands like: watch)

-C, --force-colors
    Force colors print

-b, --no-percent-bars
    No percent bars or percentages will be displayed

-B, --bars-on-right
    percent bars moved to right side of screen

-z, --min-size <MIN_SIZE>
    Minimum size file to include in output

-R, --screen-reader
    For screen readers. Removes bars. Adds new column: depth level (May want to use -p too for full path)

--skip-total
    No total row will be displayed

-f, --filecount
    Directory 'size' is number of child files instead of disk size

-i, --ignore-hidden
    Do not display hidden files

-v, --invert-filter <REGEX>
    Exclude filepaths matching this regex. To ignore png files type: -v "\.png$"

-e, --filter <REGEX>
    Only include filepaths matching this regex. For png files type: -e "\.png$"

-t, --file-types
    show only these file types

-w, --terminal-width <WIDTH>
    Specify width of output overriding the auto detection of terminal width

-P, --no-progress
    Disable the progress indication

--print-errors
    Print path with errors

-D, --only-dir
    Only directories will be displayed

-F, --only-file
    Only files will be displayed. (Finds your largest files)

-o, --output-format <FORMAT>
    Changes output display size. si will print sizes in powers of 1000. b k m g t kb mb gb tb will print the whole tree in that size

    Possible values:

    •   si: SI prefix (powers of 1000)

    •   b: byte (B)

    •   k: kibibyte (KiB)

    •   m: mebibyte (MiB)

    •   g: gibibyte (GiB)

    •   t: tebibyte (TiB)

    •   kb: kilobyte (kB)

    •   mb: megabyte (MB)

    •   gb: gigabyte (GB)

    •   tb: terabyte (TB)

-S, --stack-size <STACK_SIZE>
    Specify memory to use as stack size - use if you see: 'fatal runtime error: stack overflow' (default low memory=1048576, high memory=1073741824)

-j, --output-json
    Output the directory tree as json to the current directory

-M, --mtime <MTIME>
    +/-n matches files modified more/less than n days ago , and n matches files modified exactly n days ago, days are rounded down.That is +n => (−∞, curr−(n+1)), n => [curr−(n+1), curr−n), and -n => (𝑐𝑢𝑟𝑟−𝑛, +∞)

-A, --atime <ATIME>
    just like -mtime, but based on file access time

-y, --ctime <CTIME>
    just like -mtime, but based on file change time

--files0-from <FILES0_FROM>
    Read NUL-terminated paths from FILE (use `-` for stdin)

--files-from <FILES_FROM>
    Read newline-terminated paths from FILE (use `-` for stdin)

--collapse <COLLAPSE>
    Keep these directories collapsed

-m, --filetime <FILETIME>
    Directory 'size' is max filetime of child files instead of disk size. while a/c/m for last accessed/changed/modified time

    Possible values:

    •   a: last accessed time

    •   c: last changed time

    •   m: last modified time

-h, --help
    Print help (see a summary with '-h')

-V, --version
    Print version

[PATH]
    Input files or directories

VERSION
v1.2.4